import { Schema } from 'jsonschema';
import { Observable } from '@backstage/types';
/** @public */
export interface ConfigSchemaResult {
    schema?: Schema;
}
/** @public */
export interface ConfigSchemaApi {
    schema$(): Observable<ConfigSchemaResult>;
}
/** @public */
export declare const configSchemaApiRef: import("@backstage/core-plugin-api").ApiRef<ConfigSchemaApi>;
